Vulnerability  oval:org.opensuse.security:def:20084311
CVE-2008-4311  

The default configuration of system.conf in D-Bus (aka DBus) before 1.2.6 omits the send_type attribute in certain rules, which allows local users to bypass intended access restrictions by (1) sending messages, related to send_requested_reply; and possibly (2) receiving messages, related to receive_requested_reply.

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions)
  • openSUSE 11.1

References

Criteria

The system is vulnerable
IF : Any one of the following are true
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : ConsoleKit-32bit less than 0.2.10-60.26.1
Linux : RPM Test :  ConsoleKit-32bit is <0.2.10-60.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ConsoleKit-32bit
RPM Version less than 0:0.2.10-60.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : ConsoleKit-64bit less than 0.2.10-60.26.1
Linux : RPM Test :  ConsoleKit-64bit is <0.2.10-60.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ConsoleKit-64bit
RPM Version less than 0:0.2.10-60.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : ConsoleKit-devel less than 0.2.10-60.26.1
Linux : RPM Test :  ConsoleKit-devel is <0.2.10-60.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ConsoleKit-devel
RPM Version less than 0:0.2.10-60.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : ConsoleKit-x11 less than 0.2.10-60.26.1
Linux : RPM Test :  ConsoleKit-x11 is <0.2.10-60.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ConsoleKit-x11
RPM Version less than 0:0.2.10-60.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : ConsoleKit less than 0.2.10-60.26.1
Linux : RPM Test :  ConsoleKit is <0.2.10-60.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ConsoleKit
RPM Version less than 0:0.2.10-60.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : PolicyKit-32bit less than 0.9-13.17.1
Linux : RPM Test :  PolicyKit-32bit is <0.9-13.17.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PolicyKit-32bit
RPM Version less than 0:0.9-13.17.1 (datatype=evr_string)
linux : rpminfo_state 
IF : PolicyKit less than 0.9-13.17.1
Linux : RPM Test :  PolicyKit is <0.9-13.17.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PolicyKit
RPM Version less than 0:0.9-13.17.1 (datatype=evr_string)
linux : rpminfo_state 
IF : PolicyKit-64bit less than 0.9-13.17.1
Linux : RPM Test :  PolicyKit-64bit is <0.9-13.17.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PolicyKit-64bit
RPM Version less than 0:0.9-13.17.1 (datatype=evr_string)
linux : rpminfo_state 
IF : PolicyKit-devel less than 0.9-13.17.1
Linux : RPM Test :  PolicyKit-devel is <0.9-13.17.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PolicyKit-devel
RPM Version less than 0:0.9-13.17.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : libpackagekit-qt10-devel less than 0.3.11-1.13.1
Linux : RPM Test :  libpackagekit-qt10-devel is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
libpackagekit-qt10-devel
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : libpackagekit-qt10 less than 0.3.11-1.13.1
Linux : RPM Test :  libpackagekit-qt10 is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
libpackagekit-qt10
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : libpackagekit-glib10 less than 0.3.11-1.13.1
Linux : RPM Test :  libpackagekit-glib10 is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
libpackagekit-glib10
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : libpackagekit-glib10-devel less than 0.3.11-1.13.1
Linux : RPM Test :  libpackagekit-glib10-devel is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
libpackagekit-glib10-devel
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : PackageKit less than 0.3.11-1.13.1
Linux : RPM Test :  PackageKit is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PackageKit
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : PackageKit-lang less than 0.3.11-1.13.1
Linux : RPM Test :  PackageKit-lang is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PackageKit-lang
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : PackageKit-devel less than 0.3.11-1.13.1
Linux : RPM Test :  PackageKit-devel is <0.3.11-1.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
PackageKit-devel
RPM Version less than 0:0.3.11-1.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : gnome-panel-lang less than 2.24.1-2.26.1
Linux : RPM Test :  gnome-panel-lang is <2.24.1-2.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
gnome-panel-lang
RPM Version less than 0:2.24.1-2.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : gnome-panel less than 2.24.1-2.26.1
Linux : RPM Test :  gnome-panel is <2.24.1-2.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
gnome-panel
RPM Version less than 0:2.24.1-2.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : gnome-panel-extras less than 2.24.1-2.26.1
Linux : RPM Test :  gnome-panel-extras is <2.24.1-2.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
gnome-panel-extras
RPM Version less than 0:2.24.1-2.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : gnome-panel-doc less than 2.24.1-2.26.1
Linux : RPM Test :  gnome-panel-doc is <2.24.1-2.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
gnome-panel-doc
RPM Version less than 0:2.24.1-2.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : gnome-panel-devel less than 2.24.1-2.26.1
Linux : RPM Test :  gnome-panel-devel is <2.24.1-2.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
gnome-panel-devel
RPM Version less than 0:2.24.1-2.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : gnome-panel-32bit less than 2.24.1-2.26.1
Linux : RPM Test :  gnome-panel-32bit is <2.24.1-2.26.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
gnome-panel-32bit
RPM Version less than 0:2.24.1-2.26.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : dbus-1 less than 1.2.10-5.3.1
Linux : RPM Test :  dbus-1 is <1.2.10-5.3.1 
At least one of the objects listed below must exist on the system (Existence check)
RPM Version less than 0:1.2.10-5.3.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-qt3-devel less than 0.62-221.222.1
Linux : RPM Test :  dbus-1-qt3-devel is <0.62-221.222.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-qt3-devel
RPM Version less than 0:0.62-221.222.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-qt3 less than 0.62-221.222.1
Linux : RPM Test :  dbus-1-qt3 is <0.62-221.222.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-qt3
RPM Version less than 0:0.62-221.222.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-x11 less than 1.2.10-5.3.1
Linux : RPM Test :  dbus-1-x11 is <1.2.10-5.3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-x11
RPM Version less than 0:1.2.10-5.3.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-qt3-64bit less than 0.62-221.222.1
Linux : RPM Test :  dbus-1-qt3-64bit is <0.62-221.222.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-qt3-64bit
RPM Version less than 0:0.62-221.222.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-qt3-32bit less than 0.62-221.222.1
Linux : RPM Test :  dbus-1-qt3-32bit is <0.62-221.222.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-qt3-32bit
RPM Version less than 0:0.62-221.222.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-python less than 0.83.0-22.22.1
Linux : RPM Test :  dbus-1-python is <0.83.0-22.22.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-python
RPM Version less than 0:0.83.0-22.22.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-python-devel less than 0.83.0-22.22.1
Linux : RPM Test :  dbus-1-python-devel is <0.83.0-22.22.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-python-devel
RPM Version less than 0:0.83.0-22.22.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-mono less than 0.63-118.117.1
Linux : RPM Test :  dbus-1-mono is <0.63-118.117.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-mono
RPM Version less than 0:0.63-118.117.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-glib less than 0.76-32.33.1
Linux : RPM Test :  dbus-1-glib is <0.76-32.33.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-glib
RPM Version less than 0:0.76-32.33.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-glib-doc less than 0.76-32.33.1
Linux : RPM Test :  dbus-1-glib-doc is <0.76-32.33.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-glib-doc
RPM Version less than 0:0.76-32.33.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-glib-devel less than 0.76-32.33.1
Linux : RPM Test :  dbus-1-glib-devel is <0.76-32.33.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-glib-devel
RPM Version less than 0:0.76-32.33.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-glib-32bit less than 0.76-32.33.1
Linux : RPM Test :  dbus-1-glib-32bit is <0.76-32.33.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-glib-32bit
RPM Version less than 0:0.76-32.33.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-glib-64bit less than 0.76-32.33.1
Linux : RPM Test :  dbus-1-glib-64bit is <0.76-32.33.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-glib-64bit
RPM Version less than 0:0.76-32.33.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-devel less than 1.2.10-5.3.1
Linux : RPM Test :  dbus-1-devel is <1.2.10-5.3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-devel
RPM Version less than 0:1.2.10-5.3.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-devel-doc less than 1.2.10-5.3.1
Linux : RPM Test :  dbus-1-devel-doc is <1.2.10-5.3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-devel-doc
RPM Version less than 0:1.2.10-5.3.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-64bit less than 1.2.10-5.3.1
Linux : RPM Test :  dbus-1-64bit is <1.2.10-5.3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-64bit
RPM Version less than 0:1.2.10-5.3.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-32bit less than 1.2.10-5.3.1
Linux : RPM Test :  dbus-1-32bit is <1.2.10-5.3.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-32bit
RPM Version less than 0:1.2.10-5.3.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : hal less than 0.5.12-10.13.1
Linux : RPM Test :  hal is <0.5.12-10.13.1 
At least one of the objects listed below must exist on the system (Existence check)
RPM Version less than 0:0.5.12-10.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : hal-32bit less than 0.5.12-10.13.1
Linux : RPM Test :  hal-32bit is <0.5.12-10.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
hal-32bit
RPM Version less than 0:0.5.12-10.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : hal-64bit less than 0.5.12-10.13.1
Linux : RPM Test :  hal-64bit is <0.5.12-10.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
hal-64bit
RPM Version less than 0:0.5.12-10.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : hal-devel less than 0.5.12-10.13.1
Linux : RPM Test :  hal-devel is <0.5.12-10.13.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
hal-devel
RPM Version less than 0:0.5.12-10.13.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true
IF : suse111 is installed
Linux : RPM Test :  openSUSE-release is ==11.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
openSUSE-release
version equals 11.1
linux : rpminfo_state 
IF : Any one of the following are true
IF : dbus-1-32bit less than 1.2.10-5.4.1
Linux : RPM Test :  dbus-1-32bit is <1.2.10-5.4.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-32bit
RPM Version less than 0:1.2.10-5.4.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-devel-doc less than 1.2.10-5.4.1
Linux : RPM Test :  dbus-1-devel-doc is <1.2.10-5.4.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-devel-doc
RPM Version less than 0:1.2.10-5.4.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-devel less than 1.2.10-5.4.1
Linux : RPM Test :  dbus-1-devel is <1.2.10-5.4.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-devel
RPM Version less than 0:1.2.10-5.4.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1 less than 1.2.10-5.4.1
Linux : RPM Test :  dbus-1 is <1.2.10-5.4.1 
At least one of the objects listed below must exist on the system (Existence check)
RPM Version less than 0:1.2.10-5.4.1 (datatype=evr_string)
linux : rpminfo_state 
IF : dbus-1-64bit less than 1.2.10-5.4.1
Linux : RPM Test :  dbus-1-64bit is <1.2.10-5.4.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
dbus-1-64bit
RPM Version less than 0:1.2.10-5.4.1 (datatype=evr_string)
linux : rpminfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html